## class SG_EXPORT osgUtx::TestRunner

> A TestRunner is a visitor which will run specified tests as it traverses the test graph.

## Inheritance:

### Public Methods

TestRunner( TestContext& ctx )
void specify( const std::string& sQualifiedName )
  Tests may be specified by partial names.
bool visitEnter( TestSuite* pSuite )
bool visit( TestCase* pTest )
bool visitLeave( TestSuite* pSuite )

### Protected Methods

void perform( TestCase* pTest )

### Inherited from TestQualifier:

### Public Methods

const std::string& currentPath() const

### Inherited from TestVisitor:

## Documentation

> A TestRunner is a visitor which will run specified tests as it traverses the test graph.

> \todo Consider an accessor method to get at the TestReport if necessary.

`TestRunner( TestContext& ctx )`

`void specify( const std::string& sQualifiedName )`
  Tests may be specified by partial names. E.g. specifiying "root" will run all tests below root, i.e. all tests. Specifiying "root.osg" will run all tests below \em root.osg. Specifying "root.osg.de" will run all tests (and suites) below \em root.osg with names beginning with the \em de.

`bool visitEnter( TestSuite* pSuite )`

`bool visit( TestCase* pTest )`

`bool visitLeave( TestSuite* pSuite )`

`void perform( TestCase* pTest )`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.